package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class MasterPosm implements Serializable {

    @SerializedName("PosmId")
    @Expose
    private Integer posmId;
    @SerializedName("Posm")
    @Expose
    private String posm;
    @SerializedName("PosmTypeId")
    @Expose
    private Integer posmTypeId;
    @SerializedName("RefImage")
    @Expose
    private String refImage;

    public Integer getPosmId() {
        return posmId;
    }

    public void setPosmId(Integer posmId) {
        this.posmId = posmId;
    }

    public String getPosm() {
        return posm;
    }

    public void setPosm(String posm) {
        this.posm = posm;
    }

    public Integer getPosmTypeId() {
        return posmTypeId;
    }

    public void setPosmTypeId(Integer posmTypeId) {
        this.posmTypeId = posmTypeId;
    }

    public String getRefImage() {
        return refImage;
    }

    public void setRefImage(String refImage) {
        this.refImage = refImage;
    }

    String promotion_exists_state ="";
    String promotion_img ="";
    String promotion_currect_ans ="";
    String promotion_currect_ans_Id ="";
    String ImageName;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    String userId="";

    public String getImageName() {
        return ImageName;
    }

    public void setImageName(String imageName) {
        ImageName = imageName;
    }

    public String getPromotion_exists_state() {
        return promotion_exists_state;
    }

    public void setPromotion_exists_state(String promotion_exists_state) {
        this.promotion_exists_state = promotion_exists_state;
    }

    public String getPromotion_img() {
        return promotion_img;
    }

    public void setPromotion_img(String promotion_img) {
        this.promotion_img = promotion_img;
    }

    public String getPromotion_currect_ans() {
        return promotion_currect_ans;
    }

    public void setPromotion_currect_ans(String promotion_currect_ans) {
        this.promotion_currect_ans = promotion_currect_ans;
    }

    public String getPromotion_currect_ans_Id() {
        return promotion_currect_ans_Id;
    }

    public void setPromotion_currect_ans_Id(String promotion_currect_ans_Id) {
        this.promotion_currect_ans_Id = promotion_currect_ans_Id;
    }

    public String getTransId() {
        return transId;
    }

    public void setTransId(String transId) {
        this.transId = transId;
    }

    String transId="";
}